Bug 1483292 - xrdp, xorgxrdp upgrade shows blank screen
Summary: xrdp, xorgxrdp upgrade shows blank screen
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xrdp
Version: 26
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Itamar Reis Peixoto
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-20 07:23 UTC by Todd
Modified: 2018-05-29 12:49 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-29 12:49:41 UTC
Type: Bug


Attachments (Terms of Use)

Description Todd 2017-08-20 07:23:05 UTC
Dear Fedora,

Would one of our intrepid code warrior heroes (yes I am buttering you up) please fix this for us?

Upstream bug:
https://github.com/neutrinolabs/xrdp/issues/832#issuecomment-318093482


Fedora 26

If you just ran an upgrade (dnf upgrade) and xrdp on Xorg now only gives you a huge Cyan screen after logging in, this is the cure:

# dnf downgrade xrdp xorgxrdp

Good rpms:
    xrdp-0.9.2-12.fc26.x86_64
    xorgxrdp-0.2.2-1.fc26.x86_64

Bad rpms:
    xrdp-1:0.9.2-12.fc26.x86_64
    xorgxrdp-0.2.3-1.fc26.x86_64


Please fix

Many thanks,
-T

Comment 1 Bojan Smojver 2017-08-20 08:46:11 UTC
I have xrdp 0.9.3-1 and xorgxrdp 0.2.3-1 on x86_64 and I can get a Gnome session up. Sure, it asks (twice) to provide password for colord (known problem), to which I click cancel (giving the password will crash the session).

xorgxrdp is experimental still. You should really use Xvnc if you want a stable session.

Comment 2 Todd 2017-08-20 08:58:45 UTC
(In reply to Bojan Smojver from comment #1)
> xorgxrdp is experimental still. You should really use Xvnc if you want a
> stable session.

Not a good idea.  If you use the clipboard in Xvnc, you crash.  See:
   https://github.com/neutrinolabs/xrdp/issues/469#issuecomment-287684797
   https://bugzilla.redhat.com/show_bug.cgi?id=1356732

Switching to Xorg stops it. Xorg is faster too.  Plus, I have noticed it to be more stable than Xvnc, which disconnects (crashes) a lot.  Xorg is also neutrinolabs what recommends.

Comment 3 Bojan Smojver 2017-08-20 09:07:51 UTC
Suit yourself when it comes to software choice, of course. :-)

The clipboard issue is supposed to be fixed in 0.9.3.

Comment 4 Todd 2017-08-20 09:10:25 UTC
(In reply to Bojan Smojver from comment #3)
> The clipboard issue is supposed to be fixed in 0.9.3.

I am not holding my breath.

I also want to stay with what neutrinolabs recommends.

Life in the fast lane, huh.

Comment 5 Ian Collier 2017-09-18 16:36:18 UTC
I have xorgxrdp-0.2.3-1 and xrdp-0.9.3-1 on x86_64 and I can get a GNOME session
up, but only if I start my own dbus.  If I don't start my own dbus then the
session fails to start and exits.  I am confused as to who is responsible
for starting the dbus.

https://github.com/neutrinolabs/xrdp/issues/847#issuecomment-330271770

Comment 6 Bojan Smojver 2017-09-18 21:14:18 UTC
On my systems, dbus starts as a service. This is what Fedora comes preconfigured with anyway. No?

There is also another instance of it started when the user logs in via xrdp, which then uses the systemd started one, if I understand things correctly.

Comment 7 Ian Collier 2017-09-18 22:43:07 UTC
There is a system dbus, yes, but I don't think this has any bearing on user sessions.

When I log in with xrdp on Fedora 26, there is no user dbus unless I explicitly start one.
When I run vncserver manually and start up gnome-session inside it, sometimes it fails
because of no dbus and sometimes it starts its own dbus, and I don't understand what
makes the difference between these cases - it seems random.  It might be a bug in
gnome-session.

Comment 8 Ian Collier 2017-09-19 13:10:03 UTC
Right, sorry about this but the dbus thing is probably a red herring (although
there are other open bugs about this, e.g., bug 1452996, bug 1350004).

When you log in, the system is supposed to start systemd --user, and this
should create the dbus on request.  However, if the systemd process dies
for some reason or is accidentally killed, and you have, say, a long-running
ssh session into the machine, the systemd process is not restarted for each
login until that ssh session has been terminated, and so it's not around to
start the required dbus.

In other words, this was a quirk of my particular environment and probably 
not a general bug.  Once I had made sure all my sessions were fully logged
out, it started working again.

As you were...

Comment 9 Justin 2017-09-28 14:47:36 UTC
I am seeing a cyan screen on xrdp-0.9.2-12.fc26.x86_64 with xorgxrdp-0.2.2-1.fc26.x86_64 and xrdp-1:0.9.2-12.fc26.x86_64 with xorgxrdp-0.2.3-1.fc26.x86_64.

Has anyone found any workarounds or solutions?

Comment 10 Justin 2017-10-05 16:33:20 UTC
Problem still exists in xrdp-0.9.3-2.fc26.x86_64 with xorgxrdp-0.2.3-1.fc26.x86_64.

Comment 11 Fedora End Of Life 2018-05-03 08:35:03 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 12 Fedora End Of Life 2018-05-29 12:49:41 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.